> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Kafka topic

> Creates a topic in the company's customer namespace: the name must start with `<companyUUID>.customer.`, the namespace customer Kafka users can produce to.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /kafka-clusters/{uuid}/topics
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/topics:
    post:
      tags:
        - Kafka Clusters
      summary: Create a Kafka topic
      description: >-
        Creates a topic in the company's customer namespace: the name must start
        with `<companyUUID>.customer.`, the namespace customer Kafka users can
        produce to.
      operationId: kafka_topic_create
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterCreateKafkaTopicRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsKafkaTopicCreateResponse'
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '409':
          description: Conflict
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
components:
  schemas:
    RouterCreateKafkaTopicRequest:
      properties:
        configEntries:
          additionalProperties:
            type: string
          type:
            - object
            - 'null'
        partitionCount:
          type: integer
        replicationFactor:
          type: integer
        topic:
          type: string
      required:
        - topic
        - partitionCount
        - replicationFactor
      type: object
    PayloadsKafkaTopicCreateResponse:
      properties:
        topic:
          type: string
      required:
        - topic
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.